restconf(1)

NAME
restconf - HTTP/REST thin client to access netconfd-pro server

SYNOPSIS

   restconf

DESCRIPTION
restconf is an HTTP/REST thin client application that is called by the FastCGI module in the WEB server to start a single RESTCONF request session for the specified user.

Refer to the online user manual for full details on using the netconfd-pro server:

https://docs.yumaworks.com/en/latest/netconfd/index.html

USAGE
The location of this program needs to be configured in the WEB server config file. Refer to the installation guide for details. The default installation directory is /var/www/yang-api. The /var/www/yang-api/restconf program may need to be relocated to a different directory specific to the WEB server CGI-BIN configuration.

There are no program options or environment variables used by this program. The netconfd-pro program must be built with the make flag WITH_RESTCONF=1.

Refer to RFC 8040 to see how RESTCONF works. The default entry point is /restconf.

AUTHOR
YumaWorks, Inc., <support at yumaworks dot com>

SEE ALSO
netconfd-pro(1) yang-api(1)